org.eclipse.net4j.util.collection

## Class ConcurrentArray.DuplicateCounter<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.ConcurrentArray<E>
  - - org.eclipse.net4j.util.collection.ConcurrentArray.DuplicateCounter<E>

- Enclosing class:
    ConcurrentArray<E>

      public abstract static class ConcurrentArray.DuplicateCounter<E>
      extends ConcurrentArray<E>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `ConcurrentArray.DuplicateCounter<E>, ConcurrentArray.Unique<E>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicateCounter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `equals(E e1, E e2)`
    `int` | `getMaxDuplicates()`
    `protected boolean` | `validate(E element)` Synchronized through `ConcurrentArray.add(Object)`.

    - ### Methods inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `add, firstElementAdded, get, isEmpty, lastElementRemoved, newArray, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicateCounter

          public DuplicateCounter()

  - ### Method Detail

    - #### getMaxDuplicates

          public final int getMaxDuplicates()

    - #### validate

          protected boolean validate(E element)

      Description copied from class: `ConcurrentArray`
      Synchronized through `ConcurrentArray.add(Object)`.
      Overrides:
        `validate` in class `ConcurrentArray<E>`

    - #### equals

          protected boolean equals(E e1,
                                   E e2)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html